<?php
	/* Register shortcode with Visual Composer */
	add_action( 'after_setup_theme', 'reg_timeline_event' );
	function reg_timeline_event() {
		if ( function_exists( 'vc_map' ) ) {

			vc_map( array(
				"name"                    => __( "Timeline Events" ),
				"base"                    => "timeline_event",
				"class"                   => "",
				"controls"                => "full",
				"show_settings_on_create" => true,
				"category"                => __( 'Content' ),
				"params"                  => array(
					array(
						"type"       => "dropdown",
						"heading"    => __( "Show Events by", "js_composer" ),
						"param_name" => "event_query",
						"value"      => array(
							__( "Upcoming Events", "js_composer" ) => "upcoming",
							__( "Past Events", "js_composer" )     => "past",
							__( "All", "js_composer" )             => "all",
							__( "Events IDs", "js_composer" )      => "ids",
							__( "Categories", "js_composer" )      => "cats",
						),
					),
					array(
						"type"        => "textfield",
						"holder"      => "div",
						"class"       => "",
						"heading"     => __( "List of IDs(optional):", 'cactusthemes' ),
						"param_name"  => "ids",
						"value"       => '',
						"description" => __( "Ex: 1, 2 ,3 ", 'cactusthemes' ),
						'dependency'  => array(
							'element' => 'event_query',
							'value'   => array( 'ids' ),
						),
					),
					array(
						"type"        => "textfield",
						"holder"      => "div",
						"class"       => "",
						"heading"     => __( "Number of posts:", 'cactusthemes' ),
						"param_name"  => "number",
						"value"       => '',
						"description" => __( "Default all", 'cactusthemes' ),
					),
					array(
						"type"        => "exploded_textarea",
						"heading"     => __( "Categories", "js_composer" ),
						"param_name"  => "categories",
						"description" => __( "List of cat ID (or slug), separated by a comma", "cactustheme" ),
						'dependency'  => array(
							'element' => 'event_query',
							'value'   => array( 'cats' ),
						),
					),

					array(
						"type"        => "textfield",
						"heading"     => __( "Start Date", "js_composer" ),
						"param_name"  => "start_date",
						"value"       => "",
						"description" => __( "yyyy-mm-dd hh:mm (ie, 2014-12-31 12:00 for noon on December 31st, 2014) if you need to specify the time. </br> yyyy-mm-dd (ie, 2015-07-01 for July 1st, 2015) if you don't need the extra accuracy specifying a time provides", "js_composer" ),
						'dependency'  => array(
							'element' => 'event_query',
							'value'   => array( 'all', 'ids', 'cats' ),
						),
					),

					array(
						"type"        => "textfield",
						"heading"     => __( "End Date", "js_composer" ),
						"param_name"  => "end_date",
						"value"       => "",
						"description" => __( "yyyy-mm-dd hh:mm (ie, 2014-12-31 12:00 for noon on December 31st, 2014) if you need to specify the time. </br> yyyy-mm-dd (ie, 2015-07-01 for July 1st, 2015) if you don't need the extra accuracy specifying a time provides", "js_composer" ),
						'dependency'  => array(
							'element' => 'event_query',
							'value'   => array( 'all', 'ids', 'cats' ),
						),
					),
					array(
						"type"        => "dropdown",
						"holder"      => "div",
						"class"       => "",
						"heading"     => __( "Show Events this month only:", 'cactusthemes' ),
						"param_name"  => "emonth",
						"value"       => array(
							'',
							__( '01' ),
							__( '02' ),
							__( '03' ),
							__( '04' ),
							__( '05' ),
							__( '06' ),
							__( '07' ),
							__( '08' ),
							__( '09' ),
							__( '10' ),
							__( '11' ),
							__( '12' )
						),
						"description" => '',
					),
					array(
						"type"        => "dropdown",
						"holder"      => "div",
						"heading"     => __( "Select Year", "cactusthemes" ),
						"param_name"  => "year",
						"value"       => array(
							'',
							__( '2005' ),
							__( '2006' ),
							__( '2007' ),
							__( '2008' ),
							__( '2009' ),
							__( '2010' ),
							__( '2011' ),
							__( '2012' ),
							__( '2013' ),
							__( '2014' ),
							__( '2015' ),
							__( '2016' ),
							__( '2017' ),
							__( '2018' ),
							__( '2019' ),
							__( '2020' ),
							__( '2021' ),
							__( '2022' ),
							__( '2023' ),
							__( '2024' ),
							__( '2025' )
						),
						"description" => '',
					),
					array(
						"type"        => "dropdown",
						"holder"      => "div",
						"class"       => "",
						"heading"     => __( "CSS Animation", 'cactusthemes' ),
						"param_name"  => "animation",
						"value"       => array(
							__( "No", 'cactusthemes' )                 => '',
							__( "Top to bottom", 'cactusthemes' )      => 'top-to-bottom',
							__( "Bottom to top", 'cactusthemes' )      => 'bottom-to-top',
							__( "Left to right", 'cactusthemes' )      => 'left-to-right',
							__( "Right to left", 'cactusthemes' )      => 'right-to-left',
							__( "Appear from center", 'cactusthemes' ) => 'appear',
						),
						"description" => ''
					),

				)
			) );
		}
	}